Subject: Re: bug#29525: Please don't default to "--unique" mode for Okular

From: Mosè Giordano <[email-masked]>
Date: Mon, 4 Dec 2017 17:02:58 +0100

2017-12-04 13:58 GMT+01:00 Reuben Thomas <[email-masked]>:
>> I missed to stress one important point of C-c C-v
>
>
> There seems to be some confusion here: you brought up C-c C-v; I didn't
> mention it. I was just using the plain "View" command from the C-c C-c menu.
> (I guess I should investigate forward search again, though, it's obviously
> useful.)

Yes, there is some confusion: they are the same thing, C-c C-v is
basically a shortcut for C-c C-c View RET RET.

I'm honestly lost.  Could you please explain what's the workflow you'd
like to use?  I thought it's something like this:

1) edit the source in AUCTeX

2) compile it with C-c C-c

3) open the output document in Okular with C-c C-v

4) switch back to Emacs with the window manager (usually ALT + TAB, I guess)

5) edit again

6 compile again with C-c C-c

7) switch to Okular with the window manager.  The document will auto-reload

8) reiterate from point 4

If this is your workflow, forward search can't be used --- C-c C-v is
run only once at point 3 --- unless you close Okular all the time.
Perhaps I'm wrong, so please explain it more clearly.

Bye,
Mosè